Bug 589903 - [abrt] crash in gnome-screensaver-2.28.3-1.fc12: Process /usr/libexec/gnome-screensaver/slideshow was killed by signal 11 (SIGSEGV)
[abrt] crash in gnome-screensaver-2.28.3-1.fc12: Process /usr/libexec/gnome-s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
abrt_hash:82327f3fb7f6500925133174088...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 05:11 EDT by bugzillamail
Modified: 2015-01-14 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:58:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.22 KB, text/plain)
2010-05-07 05:11 EDT, bugzillamail
no flags Details

  None (edit)
Description bugzillamail 2010-05-07 05:11:52 EDT
abrt 1.0.9 detected a crash.

architecture: i686
component: gnome-screensaver
executable: /usr/libexec/gnome-screensaver/slideshow
global_uuid: 82327f3fb7f650092513317408860cd1dfbd4608
kernel: 2.6.32.9-70.fc12.i686.PAE
package: gnome-screensaver-2.28.3-1.fc12
rating: 4
reason: Process /usr/libexec/gnome-screensaver/slideshow was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

backtrace
-----
BFD: Warning: /var/cache/abrt/ccpp-1273223328-17716/coredump is truncated: expected core file size >= 11780096, found: 61440.
[New Thread 17716]
Failed to read a valid object file image from memory.
Core was generated by `/usr/libexec/gnome-screensaver/slideshow'.
Program terminated with signal 11, Segmentation fault.
#0  0x0804c14d in ?? ()

Thread 2 (Thread 17716):
Cannot access memory at address 0xbf9a4f44

Thread 1 (Thread 17717):
Cannot access memory at address 0xb765d2ec
From        To          Syms Read   Shared Object Library
0x00452830  0x00469d0f  Yes (*)     /lib/ld-linux.so.2
(*): Shared library is missing debugging information.
No symbol "__abort_msg" in current context.
No symbol "__glib_assert_msg" in current context.
eax            0x997f3c0	160953280
ecx            0x0	0
edx            0x0	0
ebx            0x997f3c0	160953280
esp            0xb765d290	0xb765d290
ebp            0xb765d2e8	0xb765d2e8
esi            0x0	0
edi            0x9982050	160964688
eip            0x804c14d	0x804c14d
eflags         0x10206	[ PF IF RF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
No function contains program counter for selected frame.

How to reproduce
-----
1. First having disabled screensaver, but put monitor asleep after 30'
2. Enable "Pictures Folder" screensaver (it only happens with this screensaver, others don't crash)
3. Click "Close"
Comment 1 bugzillamail 2010-05-07 05:11:56 EDT
Created attachment 412271 [details]
File: backtrace
Comment 2 bugzillamail 2010-05-07 05:12:31 EDT
Package: gnome-screensaver-2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. First having disabled screensaver, but put monitor asleep after 30'
2. Enable "Pictures Folder" screensaver (it only happens with this screensaver, others don't crash)
3. Click "Close"
Comment 3 Bug Zapper 2010-11-03 11:25:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:58:32 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.